#ifndef RESSTRING_H
#define RESSTRING_H

#include <windows.h>

class ResString
{
private:
    enum { MAX_RESSTRING = 255 };
    char _buf[MAX_RESSTRING + 1];
    
public:
    ResString(int resId);
    ResString(HINSTANCE hInst, int resId);
    ResString(const ResString &rhs);
    ResString &operator=(const ResString &rhs);
    ~ResString();
    operator char const*();    
};

#endif // RESSTRING_H
